patch-configure 9.2 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348
  1. --- Python-3.1.1.orig/configure 2009-06-08 23:22:57.000000000 +0200
  2. +++ Python-3.1.1/configure 2010-11-07 20:52:09.000000000 +0100
  3. @@ -2051,12 +2051,12 @@ fi
  4. echo $ECHO_N "checking MACHDEP... $ECHO_C" >&6; }
  5. if test -z "$MACHDEP"
  6. then
  7. - ac_sys_system=`uname -s`
  8. + ac_sys_system=Linux
  9. if test "$ac_sys_system" = "AIX" -o "$ac_sys_system" = "Monterey64" \
  10. -o "$ac_sys_system" = "UnixWare" -o "$ac_sys_system" = "OpenUNIX"; then
  11. ac_sys_release=`uname -v`
  12. else
  13. - ac_sys_release=`uname -r`
  14. + ac_sys_release=2.6
  15. fi
  16. ac_md_system=`echo $ac_sys_system |
  17. tr -d '/ ' | tr '[A-Z]' '[a-z]'`
  18. @@ -2224,7 +2224,7 @@ EXPORT_MACOSX_DEPLOYMENT_TARGET='#'
  19. { echo "$as_me:$LINENO: checking machine type as reported by uname -m" >&5
  20. echo $ECHO_N "checking machine type as reported by uname -m... $ECHO_C" >&6; }
  21. -ac_sys_machine=`uname -m`
  22. +ac_sys_machine=@@CPU_ARCH@@
  23. { echo "$as_me:$LINENO: result: $ac_sys_machine" >&5
  24. echo "${ECHO_T}$ac_sys_machine" >&6; }
  25. @@ -17204,141 +17204,6 @@ fi
  26. fi
  27. -# On Tru64, chflags seems to be present, but calling it will
  28. -# exit Python
  29. -{ echo "$as_me:$LINENO: checking for chflags" >&5
  30. -echo $ECHO_N "checking for chflags... $ECHO_C" >&6; }
  31. -if test "$cross_compiling" = yes; then
  32. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  33. -See \`config.log' for more details." >&5
  34. -echo "$as_me: error: cannot run test program while cross compiling
  35. -See \`config.log' for more details." >&2;}
  36. - { (exit 1); exit 1; }; }
  37. -else
  38. - cat >conftest.$ac_ext <<_ACEOF
  39. -/* confdefs.h. */
  40. -_ACEOF
  41. -cat confdefs.h >>conftest.$ac_ext
  42. -cat >>conftest.$ac_ext <<_ACEOF
  43. -/* end confdefs.h. */
  44. -
  45. -#include <sys/stat.h>
  46. -#include <unistd.h>
  47. -int main(int argc, char*argv[])
  48. -{
  49. - if(chflags(argv[0], 0) != 0)
  50. - return 1;
  51. - return 0;
  52. -}
  53. -
  54. -_ACEOF
  55. -rm -f conftest$ac_exeext
  56. -if { (ac_try="$ac_link"
  57. -case "(($ac_try" in
  58. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  59. - *) ac_try_echo=$ac_try;;
  60. -esac
  61. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  62. - (eval "$ac_link") 2>&5
  63. - ac_status=$?
  64. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  65. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  66. - { (case "(($ac_try" in
  67. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  68. - *) ac_try_echo=$ac_try;;
  69. -esac
  70. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  71. - (eval "$ac_try") 2>&5
  72. - ac_status=$?
  73. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  74. - (exit $ac_status); }; }; then
  75. -
  76. -cat >>confdefs.h <<\_ACEOF
  77. -#define HAVE_CHFLAGS 1
  78. -_ACEOF
  79. -
  80. - { echo "$as_me:$LINENO: result: yes" >&5
  81. -echo "${ECHO_T}yes" >&6; }
  82. -else
  83. - echo "$as_me: program exited with status $ac_status" >&5
  84. -echo "$as_me: failed program was:" >&5
  85. -sed 's/^/| /' conftest.$ac_ext >&5
  86. -
  87. -( exit $ac_status )
  88. -{ echo "$as_me:$LINENO: result: no" >&5
  89. -echo "${ECHO_T}no" >&6; }
  90. -
  91. -fi
  92. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  93. -fi
  94. -
  95. -
  96. -
  97. -{ echo "$as_me:$LINENO: checking for lchflags" >&5
  98. -echo $ECHO_N "checking for lchflags... $ECHO_C" >&6; }
  99. -if test "$cross_compiling" = yes; then
  100. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  101. -See \`config.log' for more details." >&5
  102. -echo "$as_me: error: cannot run test program while cross compiling
  103. -See \`config.log' for more details." >&2;}
  104. - { (exit 1); exit 1; }; }
  105. -else
  106. - cat >conftest.$ac_ext <<_ACEOF
  107. -/* confdefs.h. */
  108. -_ACEOF
  109. -cat confdefs.h >>conftest.$ac_ext
  110. -cat >>conftest.$ac_ext <<_ACEOF
  111. -/* end confdefs.h. */
  112. -
  113. -#include <sys/stat.h>
  114. -#include <unistd.h>
  115. -int main(int argc, char*argv[])
  116. -{
  117. - if(lchflags(argv[0], 0) != 0)
  118. - return 1;
  119. - return 0;
  120. -}
  121. -
  122. -_ACEOF
  123. -rm -f conftest$ac_exeext
  124. -if { (ac_try="$ac_link"
  125. -case "(($ac_try" in
  126. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  127. - *) ac_try_echo=$ac_try;;
  128. -esac
  129. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  130. - (eval "$ac_link") 2>&5
  131. - ac_status=$?
  132. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  133. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  134. - { (case "(($ac_try" in
  135. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  136. - *) ac_try_echo=$ac_try;;
  137. -esac
  138. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  139. - (eval "$ac_try") 2>&5
  140. - ac_status=$?
  141. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  142. - (exit $ac_status); }; }; then
  143. -
  144. -cat >>confdefs.h <<\_ACEOF
  145. -#define HAVE_LCHFLAGS 1
  146. -_ACEOF
  147. -
  148. - { echo "$as_me:$LINENO: result: yes" >&5
  149. -echo "${ECHO_T}yes" >&6; }
  150. -else
  151. - echo "$as_me: program exited with status $ac_status" >&5
  152. -echo "$as_me: failed program was:" >&5
  153. -sed 's/^/| /' conftest.$ac_ext >&5
  154. -
  155. -( exit $ac_status )
  156. -{ echo "$as_me:$LINENO: result: no" >&5
  157. -echo "${ECHO_T}no" >&6; }
  158. -
  159. -fi
  160. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  161. -fi
  162. @@ -22435,84 +22300,6 @@ fi
  163. LIBS=$LIBS_SAVE
  164. -# Multiprocessing check for broken sem_getvalue
  165. -{ echo "$as_me:$LINENO: checking for broken sem_getvalue" >&5
  166. -echo $ECHO_N "checking for broken sem_getvalue... $ECHO_C" >&6; }
  167. -if test "$cross_compiling" = yes; then
  168. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  169. -See \`config.log' for more details." >&5
  170. -echo "$as_me: error: cannot run test program while cross compiling
  171. -See \`config.log' for more details." >&2;}
  172. - { (exit 1); exit 1; }; }
  173. -else
  174. - cat >conftest.$ac_ext <<_ACEOF
  175. -/* confdefs.h. */
  176. -_ACEOF
  177. -cat confdefs.h >>conftest.$ac_ext
  178. -cat >>conftest.$ac_ext <<_ACEOF
  179. -/* end confdefs.h. */
  180. -
  181. -#include <unistd.h>
  182. -#include <fcntl.h>
  183. -#include <stdio.h>
  184. -#include <semaphore.h>
  185. -#include <sys/stat.h>
  186. -
  187. -int main(void){
  188. - sem_t *a = sem_open("/autoconf", O_CREAT, S_IRUSR|S_IWUSR, 0);
  189. - int count;
  190. - int res;
  191. - if(a==SEM_FAILED){
  192. - perror("sem_open");
  193. - return 1;
  194. -
  195. - }
  196. - res = sem_getvalue(a, &count);
  197. - sem_close(a);
  198. - return res==-1 ? 1 : 0;
  199. -}
  200. -
  201. -
  202. -_ACEOF
  203. -rm -f conftest$ac_exeext
  204. -if { (ac_try="$ac_link"
  205. -case "(($ac_try" in
  206. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  207. - *) ac_try_echo=$ac_try;;
  208. -esac
  209. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  210. - (eval "$ac_link") 2>&5
  211. - ac_status=$?
  212. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  213. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  214. - { (case "(($ac_try" in
  215. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  216. - *) ac_try_echo=$ac_try;;
  217. -esac
  218. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  219. - (eval "$ac_try") 2>&5
  220. - ac_status=$?
  221. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  222. - (exit $ac_status); }; }; then
  223. - { echo "$as_me:$LINENO: result: no" >&5
  224. -echo "${ECHO_T}no" >&6; }
  225. -else
  226. - echo "$as_me: program exited with status $ac_status" >&5
  227. -echo "$as_me: failed program was:" >&5
  228. -sed 's/^/| /' conftest.$ac_ext >&5
  229. -
  230. -( exit $ac_status )
  231. -{ echo "$as_me:$LINENO: result: yes" >&5
  232. -echo "${ECHO_T}yes" >&6; }
  233. -
  234. -cat >>confdefs.h <<\_ACEOF
  235. -#define HAVE_BROKEN_SEM_GETVALUE 1
  236. -_ACEOF
  237. -
  238. -
  239. -fi
  240. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  241. -fi
  242. @@ -25145,94 +24932,6 @@ else
  243. echo "${ECHO_T}no" >&6; }
  244. fi
  245. -{ echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
  246. -echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6; }
  247. -if test "$cross_compiling" = yes; then
  248. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  249. -See \`config.log' for more details." >&5
  250. -echo "$as_me: error: cannot run test program while cross compiling
  251. -See \`config.log' for more details." >&2;}
  252. - { (exit 1); exit 1; }; }
  253. -else
  254. - cat >conftest.$ac_ext <<_ACEOF
  255. -/* confdefs.h. */
  256. -_ACEOF
  257. -cat confdefs.h >>conftest.$ac_ext
  258. -cat >>conftest.$ac_ext <<_ACEOF
  259. -/* end confdefs.h. */
  260. -#include <stdio.h>
  261. -#include <stddef.h>
  262. -#include <string.h>
  263. -
  264. -#ifdef HAVE_SYS_TYPES_H
  265. -#include <sys/types.h>
  266. -#endif
  267. -
  268. -#ifdef HAVE_SSIZE_T
  269. -typedef ssize_t Py_ssize_t;
  270. -#elif SIZEOF_VOID_P == SIZEOF_LONG
  271. -typedef long Py_ssize_t;
  272. -#else
  273. -typedef int Py_ssize_t;
  274. -#endif
  275. -
  276. -int main()
  277. -{
  278. - char buffer[256];
  279. -
  280. - if(sprintf(buffer, "%zd", (size_t)123) < 0)
  281. - return 1;
  282. -
  283. - if (strcmp(buffer, "123"))
  284. - return 1;
  285. -
  286. - if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
  287. - return 1;
  288. -
  289. - if (strcmp(buffer, "-123"))
  290. - return 1;
  291. -
  292. - return 0;
  293. -}
  294. -_ACEOF
  295. -rm -f conftest$ac_exeext
  296. -if { (ac_try="$ac_link"
  297. -case "(($ac_try" in
  298. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  299. - *) ac_try_echo=$ac_try;;
  300. -esac
  301. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  302. - (eval "$ac_link") 2>&5
  303. - ac_status=$?
  304. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  305. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  306. - { (case "(($ac_try" in
  307. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  308. - *) ac_try_echo=$ac_try;;
  309. -esac
  310. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  311. - (eval "$ac_try") 2>&5
  312. - ac_status=$?
  313. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  314. - (exit $ac_status); }; }; then
  315. - { echo "$as_me:$LINENO: result: yes" >&5
  316. -echo "${ECHO_T}yes" >&6; }
  317. -
  318. -cat >>confdefs.h <<\_ACEOF
  319. -#define PY_FORMAT_SIZE_T "z"
  320. -_ACEOF
  321. -
  322. -else
  323. - echo "$as_me: program exited with status $ac_status" >&5
  324. -echo "$as_me: failed program was:" >&5
  325. -sed 's/^/| /' conftest.$ac_ext >&5
  326. -
  327. -( exit $ac_status )
  328. -{ echo "$as_me:$LINENO: result: no" >&5
  329. -echo "${ECHO_T}no" >&6; }
  330. -fi
  331. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  332. -fi